# Management

The intended audience for these reference pages are .NET developers. It is assumed the reader already has knowledge of the basics of Umbraco and knows .NET & C#.

{% hint style="warning" %}
Since the release of Umbraco 10, we will no longer be updating the articles in this section.

You can find up-to-date code references for all Models in our [API Documentation](https://apidocs.umbraco.com/v13/csharp/api/Umbraco.Cms.Core.Models.html).
{% endhint %}

## [Models](/umbraco-cms/13.latest/reference/management/models.md)

Here you will find references for the models in the public API. The models include Content, ContentType, DataTypeDefinition, DictionaryItem, Language, Media, MediaType, Relation, RelationType, Task, TaskType, and Template classes.

## [Services](/umbraco-cms/13.latest/reference/management/services.md)

Here you will find references for the services which are available for performing Create, Read, Update and Delete (CRUD) operations for the models mentioned above.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
